## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:			rkcommon
Version:		1.11.0
Release:		%autorelease
Summary:		Intel RenderKit common C++/CMake infrastructure

License:		Apache-2.0
URL:			https://github.com/ospray/rkcommon
Source0:		%{url}/archive/v%{version}/%{name}-%{version}.tar.gz

# This package only supports x86 and ARM 64bit arches for now
ExclusiveArch:	x86_64 aarch64

BuildRequires:	cmake3
BuildRequires:	gcc-c++
BuildRequires:	tbb-devel

%description
This project represents a common set of C++ infrastructure and CMake utilities
used by various components of Intel® oneAPI Rendering Toolkit.

%package		devel
Summary:		Development files for %{name}
Requires:		%{name}%{?_isa} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
applications that use %{name}.

%prep
%autosetup

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license LICENSE.txt
%doc README.md
%{_bindir}/rkcommon_test_suite
%{_libdir}/lib%{name}.so.*

%files devel
%{_includedir}/rkcommon
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}-%{version}/

%changelog
* Thu Mar 02 2023 aekoroglu <aekoroglu@linux.intel.com> - 1.11.0-2
- supports x86 and ARM 64bit arches for now

* Thu Mar 02 2023 aekoroglu <aekoroglu@linux.intel.com> - 1.11.0-1
- initial release
